## deja-dup 36.2

=== debian/changelog ===
deja-dup (36.2-0ubuntu1) artful; urgency=medium

  * New upstream bug fix release
    - Fixes crash when restoring missing files (LP: #1720372)
    - Fixes momentary freeze when mounting backend

 -- Michael Terry <mterry@ubuntu.com>  Mon, 02 Oct 2017 16:01:01 -0400

deja-dup (36.1-0ubuntu1) artful; urgency=medium

  * New upstream stable bug fix release
    - Fixes backing up to external drives (LP: #1717230)

 -- Michael Terry <mterry@ubuntu.com>  Thu, 14 Sep 2017 13:47:48 -0400

deja-dup (36.0-0ubuntu1) artful; urgency=medium

  * New upstream bug fix release (new stable release)
    - Use sh instead of bash in monitor's autostart command
    - Avoid an error when trying to mount a null GFile

 -- Michael Terry <mterry@ubuntu.com>  Mon, 11 Sep 2017 12:58:27 -0400

deja-dup (35.6-0ubuntu1) artful; urgency=medium

  * New upstream bug fix release
    - Fix warning about not starting a scheduled backup when the
      location is already mounted.
    - Try to work around the monitor daemon potentially leaking memory
      by limiting its max memory usage. Hopefully this alleviates bug
      1302416 for those affected. I still can't reproduce.
    - Fix settings being marked read-only if the user starts a restore
      and then opens preferences before it finishes.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 31 Aug 2017 10:49:49 -0400

deja-dup (35.5-0ubuntu2) artful; urgency=medium

  * debian/tests/check:
    - Don't call deprecated mesontest, to avoid the deprecation warning
      causing the test to fail (LP: #1712714)

 -- Michael Terry <mterry@ubuntu.com>  Thu, 24 Aug 2017 14:50:49 -0400

deja-dup (35.5-0ubuntu1) artful; urgency=medium

  * New upstream release
    - Fix needing to click cancel twice on progress dialog (LP: #1368640)
    - Fix a bug when restoring missing files that caused not every older
      missing files to be shown
    - No longer show a needed dependency with updates as uninstalled
  * debian/patches/allow-no-packagekit.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Aug 2017 18:46:40 -0400

deja-dup (35.4-0ubuntu3) artful; urgency=medium

  * debian/patches/allow-no-packagekit.patch:
    - Cherry-pick patch from upstream git that properly fixes our tests
      in autopkgtests where packagekit isn't installed.

 -- Michael Terry <mterry@ubuntu.com>  Sat, 19 Aug 2017 14:24:51 -0400

deja-dup (35.4-0ubuntu2) artful; urgency=medium

  * debian/tests/control:
    - Install packagekit during autopkgtests to fix tests

 -- Michael Terry <mterry@ubuntu.com>  Fri, 18 Aug 2017 01:45:58 -0400

deja-dup (35.4-0ubuntu1) artful; urgency=medium

  * New upstream release
    - Adds support for GNOME Online Accounts
    - Improves dynamic installation support for backend dependencies
    - Fixes status icon in non-GNOME desktops (LP: #1592480)
    - Improves sudo prompt when restoring outside HOME (LP: #1674121)
    - Fixes password prompt loop with a bad gpg config (LP: #1710309)
    - Fixes vertical size of backup detail output pane (LP: #1710491)
  * debian/rules:
    - Tell deja-dup which packages to install for the various backends
  * debian/control.in:
    - Update dependencies
    - Drop deja-dup-backend-* meta packages, they are no longer needed
  * debian/patches/install-pygi.patch:
    - Drop, no longer needed

 -- Michael Terry <mterry@ubuntu.com>  Thu, 17 Aug 2017 11:10:48 -0400

deja-dup (35.3-0ubuntu1) artful; urgency=medium

  * New upstream release
    - Fixes handling of some unicode filenames
    - Fixes accuracy of checking whether some servers are reachable
      (LP: #982316)
    - Fix server password dialog giving an error if you waited a while
      before logging in (LP: #1197919)
    - Add About dialog (LP: #1703797)
    - Don't start an automatic backup on a metered connection
  * debian/control:
    - Bump Standards-Version to 4.0.0, no changes
    - Bump gtk/glib dependencies

 -- Michael Terry <mterry@ubuntu.com>  Fri, 04 Aug 2017 12:39:31 -0400

deja-dup (35.2-0ubuntu1) artful; urgency=medium

  * New upstream release
    - Fixes crash in nautilus
  * debian/control:
    - Re-enable nautilus extension, now that crash is fixed

 -- Michael Terry <mterry@ubuntu.com>  Sun, 30 Jul 2017 11:30:16 -0400

deja-dup (35.1-0ubuntu3) artful; urgency=medium

  * debian/control:
    - Disable building the nautilus extension, it has a regression that
      crashes nautilus. This needs to be looked at in more depth, but
      this is a quick fix to get nautilus running again. (LP: #1707346)

 -- Michael Terry <mterry@ubuntu.com>  Sat, 29 Jul 2017 11:40:08 -0400

deja-dup (35.1-0ubuntu2) artful; urgency=medium

  * debian/tests/control, debian/tests/check:
    - Fix tests; upstream (me) removed the test target we were using

 -- Michael Terry <mterry@ubuntu.com>  Fri, 28 Jul 2017 23:15:45 -0400

deja-dup (35.1-0ubuntu1) artful; urgency=medium

  * New upstream release
    - Fixes some build issues
    - Improves support for GNOME 3 notifications
  * debian/rules: switch from cmake to meson, following upstream
  * Drop deja-dup-unity-panel package, upstream no longer ships a Unity panel
  * Drop Don-t-use-static-for-const-declarations.patch,
    Use-ref-keyword-for-iter.patch, and 01_ignore_appstream.patch

 -- Michael Terry <mterry@ubuntu.com>  Fri, 28 Jul 2017 12:02:56 -0400

deja-dup (34.4-0ubuntu3) artful; urgency=medium

  * Split unity-control-center in a separate package (deja-dup-unity-panel):
    - this enables us to put u-c-c into universe and not pulling it to our
      default desktop installation.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Jul 2017 09:42:25 +0200

deja-dup (34.4-0ubuntu2) artful; urgency=medium

  * Add patches to fix build with vala 0.36 (LP: #1668915)
    - Don-t-use-static-for-const-declarations.patch
    - Use-ref-keyword-for-iter.patch
  * Bump minimum valac to 0.36, required by this version of the patches
  * debian/control:
    - Drop obsolete XS-Testsuite field



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: appstream-util,
               dbus,
               debhelper (>= 9),
               desktop-file-utils,
               dh-translations,
               gnome-pkg-tools,
               libglib2.0-bin,
               libglib2.0-dev (>= 2.46),
               libgoa-1.0-dev,
               libgoa-backend-1.0-dev,
               libgpg-error-dev,
               libgtk-3-dev (>= 3.22),
               libnautilus-extension-dev,
               libpackagekit-glib2-dev,
               libpeas-dev,
               libsecret-1-dev,
               meson (>= 0.38),
               pkg-config,
               python3,
               valac (>= 0.36),
               yelp-tools
Standards-Version: 4.0.0
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/deja-dup/ubuntu

Package: deja-dup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adwaita-icon-theme
Recommends: policykit-1,
Suggests: duplicity (>= 0.6.23),
Description: Back up your files
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations such as Nextcloud
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

## deja-dup 36.3

=== debian/changelog ===
deja-dup (36.3-0ubuntu0.2) artful-security; urgency=medium

  * Add 0002-don-t-use-ulimit.patch:
    - Stop using ulimit since it is incompatible with webkit2gtk 2.20
      (LP: #1751460)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 27 Apr 2018 07:48:04 -0400

deja-dup (36.3-0ubuntu0.1) artful; urgency=medium

  * New upstream bug fix release
    - Fixes restore dialog being blank on fresh install (LP: #1725432)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 20 Oct 2017 16:46:43 -0400

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with gnome --with translations

override_dh_auto_configure:
	meson builddir --libexecdir=lib/${DEB_HOST_MULTIARCH} \
	               --prefix=/usr \
	               --sysconfdir=/etc \
	               -Dgvfs_pkgs=gvfs-backends,python-gi,gir1.2-glib-2.0 \
	               -Dboto_pkgs=python-boto \
	               -Dcloudfiles_pkgs=python-cloudfiles \
	               -Dswiftclient_pkgs=python-swiftclient

override_dh_auto_build:
	ninja -v -C builddir

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp ninja -v -C builddir install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	rm -rf $(CURDIR)/debian/tmp-home
	mkdir -p $(CURDIR)/debian/tmp-home
	HOME=$(CURDIR)/debian/tmp-home dh_auto_test
	fusermount -u $(CURDIR)/debian/tmp-home/.gvfs || true
	rm -rf $(CURDIR)/debian/tmp-home

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/debian/tmp-home

=== debian/tests/control ===
#Tests: autopilot
#Depends: @,
#         autopilot-desktop,
#         cmake,
#         dbus-x11,
#         gnome-control-center,
#         libautopilot-gtk,
#         python-evdev,
#         xvfb,
#Restrictions: build-needed

# Simply re-run the built tests, make sure no one broke anything on us
Tests: check
Depends: @builddeps@,
Restrictions: build-needed

## deja-dup 37.1

=== Makefile ===
# -*- Mode: Makefile; indent-tabs-mode: t; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

all: configure
	ninja -C builddir

%:
	@[ "$@" = "Makefile" ] || ninja -C builddir $@

configure:
	@[ -f builddir/build.ninja ] || meson builddir

check: all
	LC_ALL=C.UTF-8 meson test -C builddir

dist: configure screenshots pot
	rm -f builddir/meson-dist/*
	ninja -C builddir dist
	gpg --armor --sign --detach-sig builddir/meson-dist/deja-dup-*.tar.xz

clean distclean:
	rm -rf builddir

deb:
	DEB_BUILD_OPTIONS=nocheck debuild

screenshots: all
	@gsettings set org.gnome.desktop.interface cursor-theme 'Adwaita'
	@gsettings set org.gnome.desktop.interface font-name 'Cantarell 11'
	@gsettings set org.gnome.desktop.interface gtk-theme 'Adwaita'
	@gsettings set org.gnome.desktop.interface icon-theme 'gnome'
	@gsettings set org.gnome.desktop.wm.preferences theme 'Adwaita'
	@sleep 5
	
	@mkdir -p ./builddir/screenshots
	@rm -f ./builddir/screenshots/*
	@./tests/shell-local "deja-dup" &
	@gnome-screenshot --window --delay 1 --file ./builddir/screenshots/screenshot-1.png
	@killall deja-dup
	
	@./tests/shell-local "deja-dup --backup" >/dev/null &
	@gnome-screenshot --window --delay 1 --file ./builddir/screenshots/screenshot-2.png
	@killall deja-dup
	
	@gsettings reset org.gnome.desktop.interface cursor-theme
	@gsettings reset org.gnome.desktop.interface font-name
	@gsettings reset org.gnome.desktop.interface gtk-theme
	@gsettings reset org.gnome.desktop.interface icon-theme
	@gsettings reset org.gnome.desktop.wm.preferences theme

pot: configure
	ninja -C builddir deja-dup-pot help-org.gnome.DejaDup-pot

# call like 'make copy-po TD=path-to-translation-dir'
copy-po:
	test -d $(TD)
	cp -a $(TD)/po/*.po po
	for po in $(TD)/deja-dup/help/*.po; do \
		mkdir -p deja-dup/help/$$(basename $$po .po); \
		cp -a $$po deja-dup/help/$$(basename $$po .po)/; \
	done
	git add po/*.po
	git add deja-dup/help/*/*.po

flatpak:
	mkdir -p builddir
	rm -fr builddir/flatpak
	cd builddir && flatpak-builder --repo=$(HOME)/repo ./flatpak ../flatpak/org.gnome.DejaDup.json
	flatpak update --user org.gnome.DejaDup

.PHONY: configure clean dist all copy-po check screenshots flatpak

=== meson_options.txt ===
option('duplicity_pkgs', type: 'string', value: 'duplicity', description: 'Distro package names to install the duplicity command, separated by commas')
option('gvfs_pkgs', type: 'string', value: '', description: 'Distro package names to install giobackend duplicity support, separated by commas')
option('boto_pkgs', type: 'string', value: '', description: 'Distro package names to install botobackend duplicity support, separated by commas')
option('cloudfiles_pkgs', type: 'string', value: '', description: 'Distro package names to install cfbackend duplicity support, separated by commas')
option('swiftclient_pkgs', type: 'string', value: '', description: 'Distro package names to install swiftbackend duplicity support, separated by commas')

=== debian/changelog ===
deja-dup (37.1-2fakesync1ubuntu0.2) bionic; urgency=medium

  * debian/patches/invalid_password_handling.patch:
    - handle correctly when an invalid password is entered
      (lp: #918489)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Nov 2021 17:53:50 +0100

deja-dup (37.1-2fakesync1ubuntu0.1) bionic; urgency=medium

  * debian/patches/lp-1804744.patch:
    - Fix bug preventing restore on a fresh install if you don't
      also set your current backup location to the old backup.
      LP: #1804744

 -- Michael Terry <mterry@ubuntu.com>  Fri, 11 Jan 2019 21:49:35 -0500

deja-dup (37.1-2fakesync1) bionic-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Mar 2018 19:31:21 -0400

deja-dup (37.1-2) experimental; urgency=medium

  * Add 0002-don-t-use-ulimit.patch:
    - Stop using ulimit since it is incompatible with webkit2gtk 2.20
      (LP: #1751460)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Mar 2018 14:31:28 -0400

deja-dup (37.1-1) experimental; urgency=medium

  * New upstream unstable release
  * debian/watch: watch for unstable releases
  * Cherry pick upstream patch to exclude snap cache directories
  * maintscript: Bump version since Ubuntu didn't take this until now

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 26 Jan 2018 20:23:14 -0500

deja-dup (36.3-2) unstable; urgency=medium

  * debian/copyright: Add debian/ to Files-Excluded
  * debian/watch: Only watch for stable releases
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Add debian/docs to install NEWS
  * Don't skip dh_auto_test
  * Don't depend on duplicity on Ubuntu (to not install python2 by default).
    Deja Dup will install duplicity if needed using PackageKit.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 26 Jan 2018 20:03:11 -0500

deja-dup (36.3-1) unstable; urgency=medium

  * New upstream version 36.3

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Nov 2017 08:57:49 +0100

deja-dup (36.2-1) unstable; urgency=medium

  * New upstream version 36.2
  * debian/control.in: Bump Standards-Version to 4.1.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Oct 2017 00:55:18 +0200

deja-dup (36.1-1) unstable; urgency=medium

  * New upstream version 36.1
  * Drop debian/patches/01_xdg_autostart_exec.patch, applied upstream

 -- Laurent Bigonville <bigon@debian.org>  Sun, 17 Sep 2017 12:09:06 +0200

deja-dup (35.6-1) unstable; urgency=medium

  * debian/gbp.conf: Filter upstream debian/ directory
  * New upstream version 35.6
  * debian/maintscript: Rename the xdg autostart file to
    org.gnome.DejaDup.Monitor.desktop
  * debian/patches/01_xdg_autostart_exec.patch: Use sh instead of bash so we
    don't need to depend on it

 -- Laurent Bigonville <bigon@debian.org>  Thu, 07 Sep 2017 09:54:16 +0200

deja-dup (35.5-1) experimental; urgency=medium

  * New upstream release.
    - Adjust the build-dependencies
  * debian/rules:
    - Really use meson/ninja for the build, upstream is shipping a Makefile
      this makes debhelper use that file instead of ninja.
    - Define the name of the package that can be installed via packagekit
  * debian/control.in:
    - Update the description to reflect that deja-dup now supports owncloud
    - Downgrade python-cloudfiles and python-boto to Suggests, those backends
      are now hidden by default, but still supported for old users

 -- Laurent Bigonville <bigon@debian.org>  Sun, 27 Aug 2017 14:05:41 +0200

deja-dup (35.3-1) experimental; urgency=medium

  * New upstream release.
    - Switch to meson build system
    - Bump the build-dependencies
    - Drop debian/patches/help2man.patch, not needed anymore
  * debian/control.in: Bump Standards-Version to 4.0.0 (no further changes)
  * Update the debian/copyright file, based on ubuntu one

 -- Laurent Bigonville <bigon@debian.org>  Fri, 11 Aug 2017 16:55:44 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
	                  --libexecdir=/usr/lib \
                          -Dgvfs_pkgs=gvfs-backends,python-gi,gir1.2-glib-2.0 \
                          -Dboto_pkgs=python-boto \
                          -Dcloudfiles_pkgs=python-cloudfiles \
                          -Dswiftclient_pkgs=python-swiftclient

override_dh_strip:
	dh_strip --dbgsym-migration='deja-dup-dbg (<< 34.2-1~)'

# duplicity still depends on Python2 which is unwanted in the default install
# but Deja Dup can install duplicity dynamically
override_dh_gencontrol:
ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vduplicity:Depends='duplicity (>= 0.7.14)'
else
	dh_gencontrol -- -Vduplicity:Suggests='duplicity (>= 0.7.14)'
endif

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://launchpad.net/@PACKAGE@/+download \
	.*/@PACKAGE@-([\d\.]+[0-9].[\d]+)\.tar\.xz

## deja-dup 38.0

=== debian/changelog ===
deja-dup (38.0-1ubuntu0.1) cosmic; urgency=medium

  * debian/patches/lp-1804744.patch:
    - Fix bug preventing restore on a fresh install if you don't
      also set your current backup location to the old backup.
      LP: #1804744

 -- Michael Terry <mterry@ubuntu.com>  Fri, 11 Jan 2019 21:33:04 -0500

deja-dup (38.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: Applied in new release
  * Bump Standards-Version to 4.1.4
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 08 May 2018 18:39:38 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream-util,
               dbus,
               debhelper (>= 11),
               desktop-file-utils,
               gnome-pkg-tools,
               libglib2.0-bin,
               libglib2.0-dev (>= 2.46),
               libgoa-1.0-dev (>= 3.8.0),
               libgoa-backend-1.0-dev,
               libgpg-error-dev,
               libgtk-3-dev (>= 3.22),
               libnautilus-extension-dev (>= 3.21.92-3~),
               libpackagekit-glib2-dev (>= 0.6.5),
               libpeas-dev,
               libsecret-1-dev,
               meson (>= 0.38),
               pkg-config,
               valac (>= 0.36),
               yelp-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/deja-dup
Vcs-Git: https://salsa.debian.org/gnome-team/deja-dup.git
Homepage: https://launchpad.net/deja-dup

Package: deja-dup
Architecture: any
Depends: ${duplicity:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: gvfs-backends, packagekit, policykit-1
Suggests: python-boto (>= 0.9d), python-cloudfiles, python-swiftclient, ${duplicity:Suggests}
Description: Backup utility
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations such as Nextcloud
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

## deja-dup 38.1

=== debian/changelog ===
deja-dup (38.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Dec 2018 20:42:18 -0500

## deja-dup 38.2

=== Makefile ===
--- 
+++ 
@@ -23,12 +23,15 @@
 	@[ "$@" = "Makefile" ] || ninja -C builddir $@
 
 configure:
+	@[ -f builddir/build.ninja ] || meson -Dprofile=Devel builddir
+
+distconfigure:
 	@[ -f builddir/build.ninja ] || meson builddir
 
 check: all
 	LC_ALL=C.UTF-8 meson test -C builddir
 
-dist: configure screenshots pot
+dist: clean distconfigure screenshots pot
 	rm -f builddir/meson-dist/*
 	ninja -C builddir dist
 	gpg --armor --sign --detach-sig builddir/meson-dist/deja-dup-*.tar.xz
@@ -40,11 +43,11 @@
 	DEB_BUILD_OPTIONS=nocheck debuild
 
 screenshots: all
-	@gsettings set org.gnome.desktop.interface cursor-theme 'Adwaita'
 	@gsettings set org.gnome.desktop.interface font-name 'Cantarell 11'
 	@gsettings set org.gnome.desktop.interface gtk-theme 'Adwaita'
-	@gsettings set org.gnome.desktop.interface icon-theme 'gnome'
+	@gsettings set org.gnome.desktop.interface icon-theme 'Adwaita'
 	@gsettings set org.gnome.desktop.wm.preferences theme 'Adwaita'
+	@gsettings set org.gnome.DejaDup backend 'file'
 	@sleep 5
 	
 	@mkdir -p ./builddir/screenshots
@@ -57,11 +60,11 @@
 	@gnome-screenshot --window --delay 1 --file ./builddir/screenshots/screenshot-2.png
 	@killall deja-dup
 	
-	@gsettings reset org.gnome.desktop.interface cursor-theme
 	@gsettings reset org.gnome.desktop.interface font-name
 	@gsettings reset org.gnome.desktop.interface gtk-theme
 	@gsettings reset org.gnome.desktop.interface icon-theme
 	@gsettings reset org.gnome.desktop.wm.preferences theme
+	@gsettings reset org.gnome.DejaDup backend
 
 pot: configure
 	ninja -C builddir deja-dup-pot help-org.gnome.DejaDup-pot
@@ -78,9 +81,11 @@
 	git add deja-dup/help/*/*.po
 
 flatpak:
-	mkdir -p builddir
-	rm -fr builddir/flatpak
-	cd builddir && flatpak-builder --repo=$(HOME)/repo ./flatpak ../flatpak/org.gnome.DejaDup.json
-	flatpak update --user org.gnome.DejaDup
+	flatpak-builder --repo=$(HOME)/repo \
+	                --force-clean \
+	                --state-dir=builddir/.flatpak-builder \
+	                builddir/flatpak \
+	                flatpak/org.gnome.DejaDupDevel.yaml
+	flatpak update --user -y org.gnome.DejaDupDevel
 
-.PHONY: configure clean dist all copy-po check screenshots flatpak
+.PHONY: configure distconfigure clean dist all copy-po check screenshots flatpak

=== debian/changelog ===
deja-dup (38.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix not being able to find the backup files when
      restoring on a fresh install (lp: #1804744)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Jan 2019 16:23:43 +0100

## deja-dup 38.3

=== Makefile ===
--- 
+++ 
@@ -52,12 +52,13 @@
 	
 	@mkdir -p ./builddir/screenshots
 	@rm -f ./builddir/screenshots/*
+	
 	@./tests/shell-local "deja-dup" &
-	@gnome-screenshot --window --delay 1 --file ./builddir/screenshots/screenshot-1.png
+	@gnome-screenshot --window --delay 1 --file data/appdata/01-main.png
 	@killall deja-dup
 	
 	@./tests/shell-local "deja-dup --backup" >/dev/null &
-	@gnome-screenshot --window --delay 1 --file ./builddir/screenshots/screenshot-2.png
+	@gnome-screenshot --window --delay 1 --file data/appdata/02-backup.png
 	@killall deja-dup
 	
 	@gsettings reset org.gnome.desktop.interface font-name
@@ -65,6 +66,8 @@
 	@gsettings reset org.gnome.desktop.interface icon-theme
 	@gsettings reset org.gnome.desktop.wm.preferences theme
 	@gsettings reset org.gnome.DejaDup backend
+	
+	@eog data/appdata
 
 pot: configure
 	ninja -C builddir deja-dup-pot help-org.gnome.DejaDup-pot

=== meson_options.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 option('boto_pkgs', type: 'string', value: '', description: 'Distro package names to install botobackend duplicity support, separated by commas')
 option('cloudfiles_pkgs', type: 'string', value: '', description: 'Distro package names to install cfbackend duplicity support, separated by commas')
 option('swiftclient_pkgs', type: 'string', value: '', description: 'Distro package names to install swiftbackend duplicity support, separated by commas')
+option('profile', type: 'string', value: '', description: 'Profile name, for parallel installations')

=== debian/changelog ===
deja-dup (38.3-1) unstable; urgency=medium

  * New upstream release:
    - If some files couldn't be backed up, don't override that message
      with successful verification message. (lp: #1371613)
    - Tell user how much free space is needed when backup location is tiny
      (lp: #1103567)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Jan 2019 11:24:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                dbus,
@@ -27,7 +26,7 @@
                pkg-config,
                valac (>= 0.36),
                yelp-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/deja-dup
 Vcs-Git: https://salsa.debian.org/gnome-team/deja-dup.git
 Homepage: https://launchpad.net/deja-dup

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
 	dh $@ --with gnome --buildsystem=meson

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://launchpad.net/@PACKAGE@/+download \
	.*/@PACKAGE@-([\d\.]+[02468].[\d]+)\.tar\.xz

## deja-dup 38.4

=== debian/changelog ===
deja-dup (38.4-1) experimental; urgency=medium

  * New upstream release (LP: #1823421)
    - Be more forgiving if packagekit is unresponsive
    - Don't run monitor when automatic backups are disabled
    - Drop libpeas dependency
    - Fix compilation with valac 0.43
    - Update app icon
    - Update translations
  * Drop libpeas BD per upstream
  * debian/docs: NEWS is now called NEWS.md
  * Take patch from upstream MR !22 to fix many tests under GLib 2.59
    g_key_file_get_comment() used to append a stray newline to its return
    value, and it stopped doing this with 2.59. deja-dup was accidentally
    relying on that behaviour.
  * Take patch from upstream MR !22 to fix whitespace assumption in test.
    Since GLib 2.59.1, g_format_size() started using non-breaking spaces
    instead of regular ones to separate the size from the unit. deja-dup was
    only testing for the latter. Update the test to use a regex with `\s`, so
    we match all types of whitespace.

 -- Iain Lane <laney@debian.org>  Wed, 10 Apr 2019 13:56:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                dbus,
                debhelper (>= 11),
@@ -20,7 +20,6 @@
                libgtk-3-dev (>= 3.22),
                libnautilus-extension-dev (>= 3.21.92-3~),
                libpackagekit-glib2-dev (>= 0.6.5),
-               libpeas-dev,
                libsecret-1-dev,
                meson (>= 0.38),
                pkg-config,

## deja-dup 40.1

=== debian/changelog ===
deja-dup (40.1-1ubuntu2) eoan; urgency=medium

  * Bump dynamic dependenices to python3. LP: #1847706

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Oct 2019 19:23:42 +0100

deja-dup (40.1-1ubuntu1) eoan; urgency=medium

  * duplicity is ported to python3 and shipped in Ubuntu, make it a hard
    depends on any OS. Update suggests to python3. LP: #1829862

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 06 Sep 2019 11:04:44 +0100

deja-dup (40.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.4.0 (no further changes)
  * Drop debian/patches: all patches merged upstream
  * debian/control.in: Adjust the build-dependencies
  * Update the debian/copyright based on the upstream one

 -- Laurent Bigonville <bigon@debian.org>  Wed, 10 Jul 2019 13:04:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                dbus,
@@ -15,26 +16,27 @@
                libglib2.0-bin,
                libglib2.0-dev (>= 2.46),
                libgoa-1.0-dev (>= 3.8.0),
-               libgoa-backend-1.0-dev,
                libgpg-error-dev,
                libgtk-3-dev (>= 3.22),
+               libjson-glib-dev (>= 1.2),
                libnautilus-extension-dev (>= 3.21.92-3~),
                libpackagekit-glib2-dev (>= 0.6.5),
-               libsecret-1-dev,
+               libsecret-1-dev (>= 0.18.6),
+               libsoup2.4-dev (>= 2.48),
                meson (>= 0.38),
                pkg-config,
                valac (>= 0.36),
                yelp-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/deja-dup
 Vcs-Git: https://salsa.debian.org/gnome-team/deja-dup.git
 Homepage: https://launchpad.net/deja-dup
 
 Package: deja-dup
 Architecture: any
-Depends: ${duplicity:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: duplicity (>= 0.7.14), ${misc:Depends}, ${shlibs:Depends}
 Recommends: gvfs-backends, packagekit, policykit-1
-Suggests: python-boto (>= 0.9d), python-cloudfiles, python-swiftclient, ${duplicity:Suggests}
+Suggests: python3-boto (>= 0.9d), python3-cloudfiles, python3-swiftclient
 Description: Backup utility
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
	                  --libexecdir=/usr/lib \
                          -Dgvfs_pkgs=gvfs-backends,python3-gi,gir1.2-glib-2.0 \
                          -Dboto_pkgs=python3-boto \
                          -Dcloudfiles_pkgs=python3-cloudfiles \
                          -Dswiftclient_pkgs=python3-swiftclient

override_dh_strip:
	dh_strip --dbgsym-migration='deja-dup-dbg (<< 34.2-1~)'

## deja-dup 40.5

=== meson_options.txt ===
--- 
+++ 
@@ -2,5 +2,8 @@
 option('gvfs_pkgs', type: 'string', value: '', description: 'Distro package names to install giobackend duplicity support, separated by commas')
 option('boto_pkgs', type: 'string', value: '', description: 'Distro package names to install botobackend duplicity support, separated by commas')
 option('cloudfiles_pkgs', type: 'string', value: '', description: 'Distro package names to install cfbackend duplicity support, separated by commas')
+option('pydrive_pkgs', type: 'string', value: '', description: 'Distro package names to install pydrivebackend duplicity support, separated by commas')
 option('swiftclient_pkgs', type: 'string', value: '', description: 'Distro package names to install swiftbackend duplicity support, separated by commas')
 option('profile', type: 'string', value: '', description: 'Profile name, for parallel installations')
+
+option('google_client_id', type: 'string', value: '916137916439-evn6skqan91m96fmsskk8102e3iepv22.apps.googleusercontent.com', description: 'Google API client ID')

=== debian/changelog ===
deja-dup (40.5-1) unstable; urgency=medium

  * New upstream release
  * Remove patch included in the new version
  * debian/patches/disable-google-drive.patch:
    - disable the Google Drive backend and default to local for backups,
      the option requires pydrive which isn't available in Debian yet.
      Thanks Mike Terry for the patch. (Closes: #944510)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 29 Nov 2019 15:47:52 +0100

deja-dup (40.1-4) unstable; urgency=medium

  * Depend on duplicity on Ubuntu too (now that duplicity adopted Python3)
  * Update configure flags for Python3 package names
  * Bump minimum meson to 0.47 and libglib2.0-dev to 2.56
  * Build-Depend on itstool instead of yelp-tools
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Stop overriding libexecdir
  * Drop obsolete dh_strip dbgsym migration rule
  * Bump Standards-Version to 4.4.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 27 Oct 2019 10:00:09 -0400

deja-dup (40.1-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to fix GPG_ERR redefinition

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 09:54:01 +0200

deja-dup (40.1-2) unstable; urgency=medium

  * debian/control.in: Switch the suggested python modules to their python3
    counter part or remove them if they are not available

 -- Laurent Bigonville <bigon@debian.org>  Sun, 29 Sep 2019 16:23:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                dbus,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                desktop-file-utils,
-               gnome-pkg-tools,
+               dh-sequence-gnome,
+               itstool,
                libglib2.0-bin,
-               libglib2.0-dev (>= 2.46),
+               libglib2.0-dev (>= 2.56),
                libgoa-1.0-dev (>= 3.8.0),
                libgpg-error-dev,
                libgtk-3-dev (>= 3.22),
@@ -23,11 +23,10 @@
                libpackagekit-glib2-dev (>= 0.6.5),
                libsecret-1-dev (>= 0.18.6),
                libsoup2.4-dev (>= 2.48),
-               meson (>= 0.38),
+               meson (>= 0.47),
                pkg-config,
-               valac (>= 0.36),
-               yelp-tools
-Standards-Version: 4.4.0
+               valac (>= 0.36)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/deja-dup
 Vcs-Git: https://salsa.debian.org/gnome-team/deja-dup.git
 Homepage: https://launchpad.net/deja-dup
@@ -36,7 +35,7 @@
 Architecture: any
 Depends: duplicity (>= 0.7.14), ${misc:Depends}, ${shlibs:Depends}
 Recommends: gvfs-backends, packagekit, policykit-1
-Suggests: python3-boto (>= 0.9d), python3-cloudfiles, python3-swiftclient
+Suggests: python3-boto (>= 0.9d), python3-swiftclient
 Description: Backup utility
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
                          -Dgvfs_pkgs=gvfs-backends,python3-gi,gir1.2-glib-2.0 \
                          -Dboto_pkgs=python3-boto \
                          -Dswiftclient_pkgs=python3-swiftclient

## deja-dup 40.5+2484+git5b578dfa

=== debian/changelog ===
deja-dup (40.5+2484+git5b578dfa-1pureos0) amber-phone; urgency=medium

  * Add the libhandy 0.0.13 dependency
  * main: Make the window resizable
  * main: Drop the switch in the header bar
  * main: Set the window's title
  * main: Drop the global border
  * preferences: Merge the Overview and Scheduling pages
  * data: Add the eye-closed-symbolic icon
  * preferences: Replace the sidebar by a view switcher
  * preferences: Tweak the page margins
  * preferences: Drop the minimum height
  * preferences: Set a default size
  * config-location-file: Use an icon for the button
  * debian: Add the libhandy-0.0 dep
  * config-label-backup-date: Use shorter strings
  * preferences: Show actual dates
  * menus: Drop the keyboard shortcuts
  * assistant: Use a default size rather than forcing one
  * Replace eye-closed-symbolic by eye-not-looking-symbolic
  * config-location: Make the table a HdyPreferencesGroup
  * preferences: Make the Storage page modern and adaptive
  * assistant: Wrap the title
  * assistant-restore: Make it look more modern
  * debian: Adapt disable-google-drive.patch to code changes
  * data: List compatible form-factors

 -- Adrien Plazas <kekun@pureos>  Wed, 11 Nov 2020 08:13:50 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libgoa-1.0-dev (>= 3.8.0),
                libgpg-error-dev,
                libgtk-3-dev (>= 3.22),
+               libhandy-0.0-dev (>= 0.0.13),
                libjson-glib-dev (>= 1.2),
                libnautilus-extension-dev (>= 3.21.92-3~),
                libpackagekit-glib2-dev (>= 0.6.5),

## deja-dup 40.6

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+# SPDX-FileCopyrightText: Michael Terry
+
 option('duplicity_pkgs', type: 'string', value: 'duplicity', description: 'Distro package names to install the duplicity command, separated by commas')
 option('gvfs_pkgs', type: 'string', value: '', description: 'Distro package names to install giobackend duplicity support, separated by commas')
 option('boto_pkgs', type: 'string', value: '', description: 'Distro package names to install botobackend duplicity support, separated by commas')

=== debian/changelog ===
deja-dup (40.6-1ubuntu2) focal; urgency=medium

  * debian/rules:
    - set -Dpydrive_pkgs=python3-pydrive this week deja-dup knows how to
      install the pydrive backend on demand via packagekit

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 12:31:06 +0100

deja-dup (40.6-1ubuntu1) focal; urgency=medium

  * debian/patches/disable-google-drive.patch:
    - remove the patch disabling google drive, python3-pydrive is available
      now in focal
  * debian/control.in:
    - Suggests python3-pydrive, ideally that would be a recommends but
      the package needs to be promoted first

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 10:08:26 +0100

deja-dup (40.6-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Mar 2020 21:19:59 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
                libgoa-1.0-dev (>= 3.8.0),
                libgpg-error-dev,
                libgtk-3-dev (>= 3.22),
-               libhandy-0.0-dev (>= 0.0.13),
                libjson-glib-dev (>= 1.2),
                libnautilus-extension-dev (>= 3.21.92-3~),
                libpackagekit-glib2-dev (>= 0.6.5),
@@ -36,7 +35,7 @@
 Architecture: any
 Depends: duplicity (>= 0.7.14), ${misc:Depends}, ${shlibs:Depends}
 Recommends: gvfs-backends, packagekit, policykit-1
-Suggests: python3-boto (>= 0.9d), python3-swiftclient
+Suggests: python3-boto (>= 0.9d), python3-swiftclient, python3-pydrive
 Description: Backup utility
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,5 @@
 	dh_auto_configure -- \
                           -Dgvfs_pkgs=gvfs-backends,python3-gi,gir1.2-glib-2.0 \
                           -Dboto_pkgs=python3-boto \
+                          -Dpydrive_pkgs=python3-pydrive \
                           -Dswiftclient_pkgs=python3-swiftclient

## deja-dup 40.7

=== debian/changelog ===
deja-dup (40.7-0ubuntu2) focal; urgency=medium

  * debian/patches/git-goauth-deprecation.patch:
    - update the oauth workflow, the local redirection currently used by
      deja-dup is being deprcated by Google and will stop working.
      Thanks Michael Terry for providing us backports of the fix!
      (lp: #1973816)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 08 Jun 2022 08:53:42 -0300

deja-dup (40.7-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1883535)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 15 Jun 2020 15:31:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                dbus,
                debhelper-compat (= 12),

## deja-dup 40.7-0ubuntu1+9.0trisquel1

=== debian/changelog ===
deja-dup (40.7-0ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Compiled for Trisquel adjusting package category settings.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 18 Oct 2021 08:55:30 +0000

## deja-dup 40.7-0ubuntu1+10.0trisquel1

=== debian/changelog ===
deja-dup (40.7-0ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Compiled for Trisquel adjusting package category settings.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Sep 2021 23:40:29 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                dbus,
                debhelper-compat (= 12),

## deja-dup 40.7-0ubuntu2+10.0trisquel1

=== debian/changelog ===
deja-dup (40.7-0ubuntu2+10.0trisquel1) nabia; urgency=medium

  * Compiled for Trisquel adjusting package category settings.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 01 Sep 2022 00:39:32 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                dbus,
